develooper Front page | perl.perl5.porters | Postings from September 2014

Re: Versioned 'strict'

Thread Previous | Thread Next
From:
Paul "LeoNerd" Evans
Date:
September 13, 2014 13:01
Subject:
Re: Versioned 'strict'
Message ID:
20140913140052.3cdda604@shy.leonerd.org.uk
On Fri, 12 Sep 2014 21:31:27 -0400
Ricardo Signes <perl.p5p@rjbs.manxome.org> wrote:

> The other thing we can't do without opening a can of worms, I think,
> is "use strict ':latest'", because even if strictures are always
> safely addative, when you need to say, later, "no strict 'time'" but
> only on the right versions, you're in a weird place.

Absolutely - you couldn't ask for the "latest" set of strictness
because that might include new flags that your code wasn't prepared for
and would fail. All you'd be able to ask for is some version between
$ANCIENT and the current version you were running on.

-- 
Paul "LeoNerd" Evans

leonerd@leonerd.org.uk
http://www.leonerd.org.uk/  |  https://metacpan.org/author/PEVANS

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About